#pragma once

#include <sign_session/client.h>
#include <base/connection.h>

namespace Sign {
	enum {
		DEFAULT_BUFFER_SIZE = DATA_SIZE+SIGNATURE_SIZE+CERTIFICATE_SIZE
	};
	struct Connection;
}


struct Sign::Connection : Genode::Connection<Session>, Session_client
{


	/**
	 * Constructor
	 */
	Connection(Genode::Env &env, char const *label = "")
	:
		Genode::Connection<Session> { env,
		                              label,
		                              Ram_quota { DEFAULT_BUFFER_SIZE },
		                              Args { } },
		Session_client(env.rm(), cap())
	{
	}
};

